Index: redvar.f
===================================================================
--- redvar.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ redvar.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,94 +1,94 @@
-c**************************************************************
-c
-c This file contains the subroutines: redvar
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+!**************************************************************
+!
+! This file contains the subroutines: redvar
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
 
       subroutine redvar
 
-c ...................................................................
-c
-c PURPOSE: Read global parameters for molecules from lines
-c
-c          +--------------------------------------------------+
-c          |@ molecule no. : six floats separated by commas   |
-c          +--------------------------------------------------+
-c
-c          NB: 1) if omit field with molecule no. assume: nml=1
-c              2) last 3 float are angles in deg.
-c
-c          Read and interpret file to SET and FIX internal variables
-c          by commands:
-c
-c          +-----------------------------------------+
-c          |  molecule : residue : variable : value  |
-c          +-----------------------------------------+
-c
-c        * Lines containing '&' assign FIXED variable(s), they will
-c          not be varied during subsequent minimization etc.
-c
-c        * Empty LINES or lines containing '#' are ignored
-c        * Several commands on same line must be separated by ';'
-c        * Empty COMMANDS, i.e. ' : : ' are ignored
-c        * All spaces are not significant and are therefore ignored
-c
-c        * A command consists of up to 4 (maxfld) fields, separated
-c          by ':'
-c
-c        - last field     : value for VARIABLE (REAL)
-c                           ! should never be empty
-c        - 1st before last: name(s) (CHAR) or index(ices) of VARIABLE(S)
-c        - 2nd before last: name(s) or index(ices) of RESIDUE(S)
-c        - 3rd before last: name or number(ices) of MOLECULE(S)
-c
-c        * molecules, residues, variables can be identified, either by,
-c          INDICES (zones 'n1-n2' possible) or NAMES
-c
-c        * several identifiers in a field can be separated by ','
-c
-c        * INDICES: for residues  - refer to numbering within molecule
-c                 : for variables - refer to numbering within residue
-c        * ZONES:   '-n2' indicates '1-n2'
-c                   'n1-' indicates 'n1-(all)'
-c        * NAMES or their ends can be indicated by wild-card '*'
-c                are case-sensitive
-c
-c        Example:  phi:-65; psi:-45  >set all phi=-65, all psi=-45
-c                  om*: 180 &  >set all omg, omt ... to 180 & fix them
-c                  5 : x* : -60  >set all xi-angles of residue 5 to 60
-c
-c CALLS: setvar,extstr,iendst,ibegst,iopfil,iredin,iredrl
-c ......................................................................
+! ...................................................................
+!
+! PURPOSE: Read global parameters for molecules from lines
+!
+!          +--------------------------------------------------+
+!          |@ molecule no. : six floats separated by commas   |
+!          +--------------------------------------------------+
+!
+!          NB: 1) if omit field with molecule no. assume: nml=1
+!              2) last 3 float are angles in deg.
+!
+!          Read and interpret file to SET and FIX internal variables
+!          by commands:
+!
+!          +-----------------------------------------+
+!          |  molecule : residue : variable : value  |
+!          +-----------------------------------------+
+!
+!        * Lines containing '&' assign FIXED variable(s), they will
+!          not be varied during subsequent minimization etc.
+!
+!        * Empty LINES or lines containing '#' are ignored
+!        * Several commands on same line must be separated by ';'
+!        * Empty COMMANDS, i.e. ' : : ' are ignored
+!        * All spaces are not significant and are therefore ignored
+!
+!        * A command consists of up to 4 (maxfld) fields, separated
+!          by ':'
+!
+!        - last field     : value for VARIABLE (REAL)
+!                           ! should never be empty
+!        - 1st before last: name(s) (CHAR) or index(ices) of VARIABLE(S)
+!        - 2nd before last: name(s) or index(ices) of RESIDUE(S)
+!        - 3rd before last: name or number(ices) of MOLECULE(S)
+!
+!        * molecules, residues, variables can be identified, either by,
+!          INDICES (zones 'n1-n2' possible) or NAMES
+!
+!        * several identifiers in a field can be separated by ','
+!
+!        * INDICES: for residues  - refer to numbering within molecule
+!                 : for variables - refer to numbering within residue
+!        * ZONES:   '-n2' indicates '1-n2'
+!                   'n1-' indicates 'n1-(all)'
+!        * NAMES or their ends can be indicated by wild-card '*'
+!                are case-sensitive
+!
+!        Example:  phi:-65; psi:-45  >set all phi=-65, all psi=-45
+!                  om*: 180 &  >set all omg, omt ... to 180 & fix them
+!                  5 : x* : -60  >set all xi-angles of residue 5 to 60
+!
+! CALLS: setvar,extstr,iendst,ibegst,iopfil,iredin,iredrl
+! ......................................................................
 
 
       include 'INCL.H'
 
-c maxfld: max. # of fields in one command
-c maxide: max. # of identifiers in a field
-c maxcmd: max. # of commands to be interpreted
-c ilrg:   a large integer
+! maxfld: max. # of fields in one command
+! maxide: max. # of identifiers in a field
+! maxcmd: max. # of commands to be interpreted
+! ilrg:   a large integer
 
       parameter (maxfld=4,
-     #           maxide=30,
-     #           maxcmd=5000,
-     #           ilrg=1000000)
+     &           maxide=30,
+     &           maxcmd=5000,
+     &           ilrg=1000000)
 
       character spcm,spfd,spcc,sphy,cmt,wdc,sfix,blnk, sglp,
-     #          line*132,lincmd*132,linfld(maxfld)*132,linide*132,
-     #          linh*132,strg(6)*17
+     &          line*132,lincmd*132,linfld(maxfld)*132,linide*132,
+     &          linh*132,strg(6)*17
       dimension ifdend(maxfld),vlvrx(mxvr),rn(6)
       logical fix,did,exa,forml(mxml),forrs(mxrs),forvr(mxvr),
-     #        stvr(mxvr)
+     &        stvr(mxvr)
       data spcm/';'/,spfd/':'/,spcc/','/,sphy/'-'/,cmt/'#'/,wdc/'*'/,
-     #     sfix/'&'/,blnk/' '/, sglp/'@'/
-
-
-c ___________________________________ Checks
+     &     sfix/'&'/,blnk/' '/, sglp/'@'/
+
+
+! ___________________________________ Checks
       ntlvr=ivrml1(ntlml)+nvrml(ntlml)-1
       if (ntlvr.eq.0) then
@@ -96,16 +96,16 @@
         return
       endif
-c ___________________________________ Initialize
+! ___________________________________ Initialize
 
       io=iopfil(lunvar,varfil,'old','formatted')
       if (io.eq.0) then
         write (*,'(a,/,a,i3,2a)') 
-     #    ' redvar> ERROR opening file to set variables:',
-     #    ' LUN=',lunvar,' FILE=',varfil(1:iendst(varfil))
+     &    ' redvar> ERROR opening file to set variables:',
+     &    ' LUN=',lunvar,' FILE=',varfil(1:iendst(varfil))
         stop
       elseif (io.eq.-1) then
         return
       endif
-c ___________________________________ Initialization
+! ___________________________________ Initialization
       do i=1,ntlml
         forml(i)=.true.
@@ -138,8 +138,8 @@
     1 read (lunvar,'(a)',end=2) line
       ile=iendst(line)
-c _________________________________ ! ignore empty and commentary lines
+! _________________________________ ! ignore empty and commentary lines
       if (ile.gt.0.and.index(line(1:ile),cmt).le.0) then
 
-c _________________________________________ Global variables
+! _________________________________________ Global variables
         ilb = index(line(1:ile),sglp)+1
         if (ilb.ge.2) then
@@ -150,8 +150,8 @@
 
             if (iredin(lincmd,nml).le.0.or.
-     #          nml.le.0.or.nml.gt.ntlml) then
+     &          nml.le.0.or.nml.gt.ntlml) then
               write (*,*) 'redvar> ','Incorrect molecule number >',
-     #                    lincmd(1:l),'<  Must be in range [1,',
-     #                    ntlml,'] !'
+     &                    lincmd(1:l),'<  Must be in range [1,',
+     &                    ntlml,'] !'
               close(lunvar)
               stop
@@ -179,9 +179,9 @@
           if (iredrl(linh,rn(6)).le.0) goto 105
 
-c ---------------------------------------- check global angles
+! ---------------------------------------- check global angles
           if (  abs(rn(4)).gt.(1.8d2+1d-6)
-     #     .or. abs(rn(5)).gt.(9d1+1d-6) 
-     #     .or. abs(rn(6)).gt.(1.8d2+1d-6)
-     #    ) goto 106
+     &     .or. abs(rn(5)).gt.(9d1+1d-6) 
+     &     .or. abs(rn(6)).gt.(1.8d2+1d-6)
+     &    ) goto 106
            
           do i = 1,3
@@ -221,5 +221,5 @@
             endif
 
-c _________________________________________ Extract Command Fields
+! _________________________________________ Extract Command Fields
             nfld=0
             icb=1
@@ -235,5 +235,5 @@
 
             enddo
-c _______________________________ Interpret Command Fields (except last)
+! _______________________________ Interpret Command Fields (except last)
             do i=1,nfld-1
               ii=i
@@ -255,5 +255,5 @@
                 enddo
               endif
-c __________________________________ Identifiers in field
+! __________________________________ Identifiers in field
               nide=0
               ifb=1
@@ -299,5 +299,5 @@
                       if (ifld.eq.3) then        !  Mol.
 
-c ################### impossible # (inum) of molecule
+! ################### impossible # (inum) of molecule
 
                         if (inum.le.0.or.inum.gt.ntlml) then
@@ -313,5 +313,5 @@
                             k=inum+nfi-1
 
-c ################### impossible # of residue (inum) in molecule
+! ################### impossible # of residue (inum) in molecule
 
                             if (k.lt.nfi.or.k.gt.irsml2(j)) then
@@ -331,8 +331,8 @@
                                 l=inum+nfi-1
 
-c ################### impossible # of variable (inum) in residue
+! ################### impossible # of variable (inum) in residue
 
                                 if (l.lt.nfi.or.
-     #                              l.gt.nfi+nvrrs(k)-1) then
+     &                              l.gt.nfi+nvrrs(k)-1) then
                                   write (*,*) ' # 3: ',inum
                                   goto 104
@@ -364,7 +364,7 @@
                             linh(1:ieh1)=nmml(j)(ib:ieh)
                             if (((exa.and.ieh1.eq.id).or.
-     #                         (.not.exa.and.ieh1.ge.id)).and.
-     #                         linh(1:id).eq.linide(1:id))
-     #                         forml(j)=.true.
+     &                         (.not.exa.and.ieh1.ge.id)).and.
+     &                         linh(1:id).eq.linide(1:id))
+     &                         forml(j)=.true.
                           endif
                         enddo        
@@ -380,7 +380,7 @@
                                 linh(1:ieh1)=seq(k)(ib:ieh)
                                 if (((exa.and.ieh1.eq.id).or.
-     #                             (.not.exa.and.ieh1.ge.id))
-     #                          .and.linh(1:id).eq.linide(1:id))
-     #                            forrs(k)=.true.
+     &                             (.not.exa.and.ieh1.ge.id))
+     &                          .and.linh(1:id).eq.linide(1:id))
+     &                            forrs(k)=.true.
                               endif
                             enddo
@@ -401,7 +401,7 @@
                                     linh(1:ieh1)=nmvr(l)(ib:ieh)
                                     if (((exa.and.ieh1.eq.id)
-     #                         .or.(.not.exa.and.ieh1.ge.id))
-     #                          .and.linh(1:id).eq.linide(1:id))
-     #                              forvr(l)=.true.
+     &                         .or.(.not.exa.and.ieh1.ge.id))
+     &                          .and.linh(1:id).eq.linide(1:id))
+     &                              forvr(l)=.true.
                                   endif
                                 enddo
@@ -416,5 +416,5 @@
                   else                                       ! ___ Zone
 
-c ################### impossible zone '-' (without integer)
+! ################### impossible zone '-' (without integer)
 
                     if (ide.eq.1.and.ihy.eq.ide) then
@@ -429,8 +429,8 @@
                       linh=linide(1:ihy-1)
 
-c ################### impossible (to read) integer before '-'
+! ################### impossible (to read) integer before '-'
 
                       if (iredin(linh,ibz).le.0.or.ibz.le.0)
-     #                  then
+     &                  then
                         write (*,*) ' # 5 '
                         goto 104
@@ -444,8 +444,8 @@
                       linh=linide(ihy+1:ide)
 
-c ################### impossible (to read) integer after '-'
+! ################### impossible (to read) integer after '-'
 
                       if (iredin(linh,iez).le.0.or.iez.le.0.or.
-     #                  iez.lt.ibz) then
+     &                  iez.lt.ibz) then
                         write (*,*) ' # 6 '
                         goto 104
@@ -502,5 +502,5 @@
             enddo  ! ... Fields (excl. value)
 
-c _____________________________________________________ Execute Command
+! _____________________________________________________ Execute Command
 
             if (iredrl(linfld(nfld),val).gt.izero) then  ! Read Value
@@ -517,6 +517,6 @@
               enddo
               if (.not.did) write (*,'(3a)')
-     #          ' redvar> No variables affected by command >',
-     #          lincmd(1:ice),'<'
+     &          ' redvar> No variables affected by command >',
+     &          lincmd(1:ice),'<'
             else
 
@@ -524,5 +524,5 @@
               ll2=iendst(linfld(nfld))
               write (*,*) 'll1,ll2, linfld(nfld): ',ll1,ll2,
-     #           '>',linfld(nfld)(ll1:ll2),'<'
+     &           '>',linfld(nfld)(ll1:ll2),'<'
 
               goto 102
@@ -535,5 +535,5 @@
 
     2 close(lunvar)
-c __________________________ Summary
+! __________________________ Summary
       iv=0
       do i=1,ntlml
@@ -552,6 +552,6 @@
 
              write (*,'(3a,/,1x,5(a,2x),a)') ' redvar> ',nmml(i)(1:ie),
-     #                                    ' with global parameters:',
-     #                              (strg(k)(ibegst(strg(k)):),k=1,6)
+     &                                    ' with global parameters:',
+     &                              (strg(k)(ibegst(strg(k)):),k=1,6)
              call setvar(i,vlvrx)
              goto 3
@@ -572,14 +572,14 @@
                 if (fxvr(iv)) then
                   write (*,'(3a,i4,1x,4a,f10.3,a)') ' redvar> ',
-     #                nmml(i)(1:ie),': residue ',j-jb,seq(j),
-     #                ': ',nmvr(iv),' set ',vlvrx(iv),'   Fixed'
+     &                nmml(i)(1:ie),': residue ',j-jb,seq(j),
+     &                ': ',nmvr(iv),' set ',vlvrx(iv),'   Fixed'
                 else
                   write (*,'(3a,i4,1x,4a,f10.3)') ' redvar> ',
-     #                nmml(i)(1:ie),': residue ',j-jb,seq(j),
-     #                ': ',nmvr(iv),' set ',vlvrx(iv)
+     &                nmml(i)(1:ie),': residue ',j-jb,seq(j),
+     &                ': ',nmvr(iv),' set ',vlvrx(iv)
                 endif
                 ity=ityvr(iv)
                 if (ity.eq.3.or.ity.eq.2)
-     #            vlvrx(iv)=vlvrx(iv)*cdr             ! angles
+     &            vlvrx(iv)=vlvrx(iv)*cdr             ! angles
                   
               else
@@ -590,10 +590,10 @@
           if (did) then
             if (in.gt.0) write (*,'(3a,i5,a)')
-     #        ' redvar> Molecule ',nmml(i)(1:ie),': ',in,
-     #        ' variable(s) remain unchanged'
+     &        ' redvar> Molecule ',nmml(i)(1:ie),': ',in,
+     &        ' variable(s) remain unchanged'
             call setvar(iml,vlvrx)
           else
             write (*,'(3a)') ' redvar> Molecule ',
-     #        nmml(i)(1:ie),': No internal variables changed'
+     &        nmml(i)(1:ie),': No internal variables changed'
           endif
         endif
@@ -601,7 +601,7 @@
 
       return
-c ____________________________________________________________ Errors
+! ____________________________________________________________ Errors
   100 write (*,'(3a)') ' redvar> Cannot interpret command >',
-     #                 lincmd(1:ice),'<'
+     &                 lincmd(1:ice),'<'
       close(lunvar)
       stop
@@ -610,24 +610,24 @@
       stop
   102 write (*,'(3a)') ' redvar> Cannot read value from >',
-     #                   lincmd(1:ice),'<'
+     &                   lincmd(1:ice),'<'
       close(lunvar)
       stop
   103 write (*,'(a,i3,3a)') ' redvar> Cannot read >',maxide,
-     #         ' identifiers from >',linfld(ii)(1:ife),'<'
+     &         ' identifiers from >',linfld(ii)(1:ife),'<'
       close(lunvar)
       stop
   104 write (*,'(5a)') ' redvar> Error in identifier >',
-     #            linide(1:ide),'< of command >',lincmd(1:ice),'<'
+     &            linide(1:ide),'< of command >',lincmd(1:ice),'<'
       close(lunvar)
       stop
   105 write (*,'(a,/,a,/,2a,/)') ' redvar> line with global paramters:',
-     #                           line(1:ile),' must contain 6 floating',
-     #                           ' point numbers separated by commas !'
+     &                           line(1:ile),' must contain 6 floating',
+     &                           ' point numbers separated by commas !'
       close(lunvar)
       stop
 
   106 write (*,'(a,/,a,/,2a,/)') ' redvar> line with global paramters:',
-     #                           line(1:ile),' angles must be inside ',
-     #'ranges [-180,180], [-90,90], and [-180,180] Deg., respectively !'
+     &                           line(1:ile),' angles must be inside ',
+     &'ranges [-180,180], [-90,90], and [-180,180] Deg., respectively !'
       close(lunvar)
       stop
Index: regul.f
===================================================================
--- regul.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ regul.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,34 +1,34 @@
-c**************************************************************
-c
-c This file contains the subroutines: regul
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+!**************************************************************
+!
+! This file contains the subroutines: regul
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
       
       subroutine regul(nml, iter, nsteps, acc)
 
-c ----------------------------------------------------------
-c PURPOSE: regularization of PDB-structure into SMMP geometry
-c
-c          @param nml molecule to be regularized
-c          @param iter number of iterations during regularization
-c          @param nsteps maximum number of steps in minimization
-c          @param acc acceptance criterium for minimization
-c
-c CALLS:   minim, cnteny, outvar,rmsdopt
-c ----------------------------------------------------------
+! ----------------------------------------------------------
+! PURPOSE: regularization of PDB-structure into SMMP geometry
+!
+!          @param nml molecule to be regularized
+!          @param iter number of iterations during regularization
+!          @param nsteps maximum number of steps in minimization
+!          @param acc acceptance criterium for minimization
+!
+! CALLS:   minim, cnteny, outvar,rmsdopt
+! ----------------------------------------------------------
 
       include 'INCL.H'
       include 'INCP.H'
       
-cf2py intent(in) nml
-cf2py intent(in) iter
-cf2py intent(in) nsteps
-cf2py intent(in) acc
+!f2py intent(in) nml
+!f2py intent(in) iter
+!f2py intent(in) nsteps
+!f2py intent(in) acc
 
       dimension rm(3,3),av1(3),av2(3)
@@ -41,6 +41,6 @@
 
       write(*,'(/,a,2(a,f4.2),/)')
-     #  ' ====================== Regularization only',
-     #  '   Wt(energy) = ',wtey,'  Wt(regul.) = ',wtrg
+     &  ' ====================== Regularization only',
+     &  '   Wt(energy) = ',wtey,'  Wt(regul.) = ',wtrg
 
       call minim(1, nsteps, acc)
@@ -57,5 +57,5 @@
       write(*,*) ' RMSD = ',rmsd
 
-c --------------------------------------- fix vars. defined in PDB
+! --------------------------------------- fix vars. defined in PDB
 
 
@@ -67,6 +67,6 @@
 
       write(*,'(/,a,2(a,f4.2),/)')
-     #  ' ====================== Internal Energy for Hydrogens only',
-     #  '   Wt(energy) = ',wtey,'  Wt(regul.) = ',wtrg
+     &  ' ====================== Internal Energy for Hydrogens only',
+     &  '   Wt(energy) = ',wtey,'  Wt(regul.) = ',wtrg
 
       call minim(1, nsteps, acc)
@@ -95,6 +95,6 @@
 
         write(*,'(/,a,i2,2(a,e11.3),/)')
-     #    ' ================ Minimization #',it,
-     #        '   Wt(energy) = ',wtey,'  Wt(regul.) = ',wtrg
+     &    ' ================ Minimization #',it,
+     &        '   Wt(energy) = ',wtey,'  Wt(regul.) = ',wtrg
 
         call minim(1, nsteps, acc)
@@ -113,7 +113,7 @@
       call cnteny(nml)
 
-c      call outpdb(nml,12)
+!      call outpdb(nml,12)
 
-c Output of dihedral angles of the regularized structure
+! Output of dihedral angles of the regularized structure
       write(*,*) 'Dihedral angles of the regularized structure;'
       call outvar(nml, 'regd.var')
Index: rgyr.f
===================================================================
--- rgyr.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ rgyr.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,31 +1,31 @@
-c**************************************************************
-c
-c This file contains the subroutines: rgyr
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+!**************************************************************
+!
+! This file contains the subroutines: rgyr
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
 
       subroutine rgyr(nml, rgy, ee)
 
-C CALCULATES THE RADIUS-OF-GYRATION AND THE END-TO-END DISTANCE
-C FOR A GIVEN PROTEIN CONFORMATION
-C If nml == 0, calculate the radius of gyration for all molecules
-C
-C     rgy  = radius-of-gyration
-C     ee   = end-to-end distance
-C
-C REQUIREMENTS: c_alfa has to be called BEFORE call of this subroutine
-C
-C CALLS: NONE
-C
+! CALCULATES THE RADIUS-OF-GYRATION AND THE END-TO-END DISTANCE
+! FOR A GIVEN PROTEIN CONFORMATION
+! If nml == 0, calculate the radius of gyration for all molecules
+!
+!     rgy  = radius-of-gyration
+!     ee   = end-to-end distance
+!
+! REQUIREMENTS: c_alfa has to be called BEFORE call of this subroutine
+!
+! CALLS: NONE
+!
       include 'INCL.H'
-cf2py intent(in) nml
-cf2py intent(out) rgy
-cf2py intent(out) ee
+!f2py intent(in) nml
+!f2py intent(out) rgy
+!f2py intent(out) ee
       integer typ
       if (nml.eq.0) then
@@ -42,5 +42,5 @@
       if (nat.le.0) then
         write (*,'(a,i4)')
-     #     ' rgyr> No atoms found for molecule #',nml
+     &     ' rgyr> No atoms found for molecule #',nml
         return 
       endif
@@ -128,5 +128,5 @@
 
       ee = sqrt((xat(i2)-xat(i1))**2+(yat(i2)-yat(i1))**2
-     #         +(zat(i2)-zat(i1))**2)
+     &         +(zat(i2)-zat(i1))**2)
 
       return
